@import "reset.css";
@import "design-system.css";

.transition-easeOutQuart {
  -webkit-transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
  -moz-transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
  -o-transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
  -ms-transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
  transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
}
.main-link {
  height: 100%;
  width: 100%;
}
nav {
  width: 100%;
  height: 100px;
  position: fixed;
  z-index: 10;
}
.nav-container {
  background-color: rgba(255, 255, 255, 0);
  height: 100px;
  box-shadow: 1px 3px rgb(0 0 0 / 0%), 0 2px 2px rgb(0 0 0 / 0%),
    0 0 2px rgb(0 0 0 / 0%);
}
.nav-show {
  background-color: rgba(255, 255, 255, 1);
  box-shadow: 1px 3px rgb(0 0 0 / 10%), 0 2px 2px rgb(0 0 0 / 6%),
    0 0 2px rgb(0 0 0 / 7%);
}
.logo-container {
  display: block;
  float: left;
  max-width: 50%;
  margin-left: 1em;
  padding: 38px 0;
  z-index: 3;
}
.hamb-container {
  width: 40px;
  height: 102px;
  display: block;
  float: right;
  max-width: 50%;
  margin-right: 1em;
  padding: 30px 0;
  z-index: 4;
}
.line {
  width: 30px;
  height: 4px;
  background-color: #2b325c;
  display: block;
  margin: 7px auto;
  border-radius: 50px;
}
.hamb-container.is-active .line:nth-child(2) {
  opacity: 0;
}
.hamb-container.is-active .line:nth-child(1) {
  -webkit-transform: translateY(11px) rotate(45deg);
  -ms-transform: translateY(11px) rotate(45deg);
  -o-transform: translateY(11px) rotate(45deg);
  transform: translateY(11px) rotate(45deg);
}
.hamb-container.is-active .line:nth-child(3) {
  -webkit-transform: translateY(-11px) rotate(-45deg);
  -ms-transform: translateY(-11px) rotate(-45deg);
  -o-transform: translateY(-11px) rotate(-45deg);
  transform: translateY(-11px) rotate(-45deg);
}
.ul-container {
  position: relative;
  float: right;
  top: -5px;
  right: -100%;
  background-color: #fff;
  width: 75%;
  padding: 0 2em;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  z-index: -1;
}
.ul-container-active {
  right: 0;
}
.ul-container-inactive {
  display: none;
}
.ul-container li {
  display: block;
  text-align: left;
  width: 100%;
  margin-top: 2.75em;
}
.ul-container li a {
  font-size: 1.25em;
}
.header-img {
  /* background: top 0 left 0 / cover no-repeat url(../img/ourmenu-header_1283_1920.webp); */
  background-position: top 0 left 0;
  background-size: cover;
  background-repeat: no-repeat;
  background-image: url(../img/ourmenu-header_1283_1920.webp);
  background-image: -webkit-image-set(
    url(../img/ourmenu-header_1283_1920.webp) 1x
  );
  background-image: image-set(url(../img/ourmenu-header.jpg) 1x);
  width: 100%;
  height: 65vh;
  margin-bottom: 6em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.section-ourmenu {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  width: 100%;
  padding: 0 1em;
}
.ourmenu-items {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 2em;
}
.ourmenu {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 5em;
  box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
  border-radius: 10px;
}
.ourmenu-img {
  width: 100%;
  height: 50vw;
  margin-bottom: 4em;
  padding: 1.5em 0;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  background-color: rgba(236, 131, 112, 0.25);
}
.ourmenu:nth-of-type(5) > .ourmenu-img,
.ourmenu:nth-of-type(6) > .ourmenu-img,
.ourmenu:nth-of-type(7) > .ourmenu-img {
  background-color: rgba(43, 50, 92, 0.25);
}
.ourmenu-img > div {
  width: 100%;
  height: 55vw;
}
.ourmenu-text {
  padding: 0 1em;
}
.ourmenu-text p {
  margin-top: 1em;
}
.ourmenu-img-1 {
  /* background: center / contain no-repeat url(../img/menu-img-1_667_600.webp); */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../img/menu-img-1_667_600.webp);
  background-image: -webkit-image-set(
    url(../img/menu-img-1_667_600.webp) 1x,
    url(../img/menu-img-1_854_768.webp) 2x
  );
  background-image: image-set(url(../img/menu-img-1.png) 2x);
}
.ourmenu-img-2 {
  /* background: center / contain no-repeat url(../img/menu-img-2_667_600.webp); */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../img/menu-img-2_667_600.webp);
  background-image: -webkit-image-set(
    url(../img/menu-img-2_667_600.webp) 1x,
    url(../img/menu-img-2_854_768.webp) 2x
  );
  background-image: image-set(url(../img/menu-img-2.png) 2x);
}
.ourmenu-img-3 {
  /* background: center / contain no-repeat url(../img/menu-img-3_667_600.webp); */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../img/menu-img-3_667_600.webp);
  background-image: -webkit-image-set(
    url(../img/menu-img-3_667_600.webp) 1x,
    url(../img/menu-img-3_854_768.webp) 2x
  );
  background-image: image-set(url(../img/menu-img-3.png) 2x);
}
.ourmenu-img-4 {
  /* background: center / contain no-repeat url(../img/menu-img-4_667_600.webp); */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../img/menu-img-4_667_600.webp);
  background-image: -webkit-image-set(
    url(../img/menu-img-4_667_600.webp) 1x,
    url(../img/menu-img-4_854_768.webp) 2x
  );
  background-image: image-set(url(../img/menu-img-4.png) 2x);
}
.ourmenu-img-5 {
  /* background: center / contain no-repeat url(../img/menu-img-5_738_600.webp); */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../img/menu-img-5_738_600.webp);
  background-image: -webkit-image-set(
    url(../img/menu-img-5_738_600.webp) 1x,
    url(../img/menu-img-5_945_768.webp) 2x
  );
  background-image: image-set(url(../img/menu-img-5.png) 2x);
}
.ourmenu-img-6 {
  /* background: center / contain no-repeat url(../img/menu-img-6_738_600.webp); */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../img/menu-img-6_738_600.webp);
  background-image: -webkit-image-set(
    url(../img/menu-img-6_738_600.webp) 1x,
    url(../img/menu-img-6_945_768.webp) 2x
  );
  background-image: image-set(url(../img/menu-img-6.png) 2x);
}
.ourmenu-img-7 {
  /* background: center / contain no-repeat url(../img/menu-img-7_738_600.webp); */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../img/menu-img-7_738_600.webp);
  background-image: -webkit-image-set(
    url(../img/menu-img-7_738_600.webp) 1x,
    url(../img/menu-img-7_945_768.webp) 2x
  );
  background-image: image-set(url(../img/menu-img-7.png) 2x);
}
/* Show More */
.fade {
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0) 0%,
    rgb(255, 255, 255) 75%
  );
  height: 100px;
  margin-top: -100px;
  position: relative;
  opacity: 100;
  transition: opacity 0.6s cubic-bezier(0.25, 1, 0.5, 1);
}
.fade-opacity {
  opacity: 0;
}
.show-more-height {
  height: 100px;
  overflow: hidden;
}
.show-more-button {
  width: 100%;
  padding: 1em 0;
  cursor: pointer;
}
.footer-end {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.footer-items {
  background-color: #2b325c;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: 3em 1em 0.5em 1em;
  width: 100%;
}
.footer-items h2,
.footer-items hr,
.footer-items p {
  width: 100%;
  text-align: start;
  margin-bottom: 2.5rem;
}
.footer-items hr {
  border-color: grey;
}
.footer-link {
  width: 100%;
}
.footer-link p {
  font-weight: 800 !important;
}
.brid-studio {
  margin-top: 2rem;
}
.fab {
  position: fixed;
  float: right;
  height: 64px;
  width: 64px;
  bottom: 1.5em;
  right: 1em;
  background-color: #fff;
  box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
  border-radius: 50%;
  z-index: 999 !important;
}
.fab a {
  display: flex;
  align-items: center;
  justify-content: center;
}
.fab-icon img {
  width: 44px;
  height: 44px;
}
@media (min-width: 768px) {
  h6 {
    font-size: 1rem;
  }
  .h6-bigger {
    font-size: 1rem;
  }
  p {
    font-size: 0.8rem;
  }
  .p-button {
    font-size: 0.8rem;
  }
  .ul-container {
    background-color: rgba(0, 0, 0, 0);
    position: absolute;
    float: right;
    top: 0;
    right: 0;
    width: 50%;
    padding: 0 1em;
    height: 100px;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    z-index: 1;
  }
  .ul-container li {
    display: inline;
    text-align: center;
    width: 100px;
    margin-top: 0;
  }
  .ul-container li a {
    font-size: 1em;
  }
  .hamb-container {
    display: none;
  }
  .header-img {
    background: center / cover no-repeat
      url(../img/ourmenu-header_1283_1920.webp);
  }
  .ourmenu-items {
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
  }
  .ourmenu {
    margin: 0 0.5em 5em 0.5em;
    width: 325px;
  }
  .ourmenu-img {
    height: 175px;
    margin-bottom: 4em;
    padding: 1.5em 0;
  }
  .ourmenu-img > div {
    width: 100%;
    height: 190px;
  }
  .fade {
    height: 50px;
    margin-top: -50px;
  }
  .show-more-height {
    height: 60px;
    overflow: hidden;
  }
  .ourmenu-img-1 {
    background: center / contain no-repeat url(../img/menu-img-1_854_768.webp);
  }
  .ourmenu-img-2 {
    background: center / contain no-repeat url(../img/menu-img-2_854_768.webp);
  }
  .ourmenu-img-3 {
    background: center / contain no-repeat url(../img/menu-img-3_854_768.webp);
  }
  .ourmenu-img-4 {
    background: center / contain no-repeat url(../img/menu-img-4_854_768.webp);
  }
  .ourmenu-img-5 {
    background: center / contain no-repeat url(../img/menu-img-5_945_768.webp);
  }
  .ourmenu-img-6 {
    background: center / contain no-repeat url(../img/menu-img-6_945_768.webp);
  }
  .ourmenu-img-7 {
    background: center / contain no-repeat url(../img/menu-img-7_945_768.webp);
  }
  .footer-items {
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 2em;
    flex-wrap: wrap;
  }
  .footer-items hr {
    display: none;
  }
  .footer-items h2,
  .footer-items p {
    margin: 0;
  }
  .footer-items h2,
  .footer-link {
    width: 100%;
  }
  .footer-link p {
    margin: 1.2em 0;
  }
}
